version 8.2
capture log close
clear
log using psmatch, replace
set more off
set mem 1000m
use cipfrfall_stock_nohat2hr, clear

keep if cidum==0 & popdensity < . & blasp < . & blarea_ha > .25 & Nstock > 0
gen popstock = popden*Nstock
gen popdcu = popdsq*popden
gen popd4 = popden^4

*************** BROADLEAF ********************

psmatch2 rfdum blasp popdensity Nstock rdist popdsq popdcu, common outcome(ccbl) 
pstest blasp popdensity Nstock rdist popdsq popdcu, hotel nquant(5) pscore(_pscore)
summ popden if _support==0, detail

set seed 123456789
bs "psmatch2 rfdum blasp popdensity Nstock rdist popdsq popdcu, common outcome(ccbl) neighbor(1)" "r(att)", reps(1000)

psmatch2 rfdum blasp popdensity Nstock rdist popdsq popdcu, outcome(ccbl) radius caliper(0.01)
bs "psmatch2 rfdum blasp popdensity Nstock rdist popdsq popdcu, outcome(ccbl) radius caliper(0.01)" "r(att)", reps(1000)

psmatch2 rfdum blasp popdensity Nstock rdist popdsq popdcu, common outcome(ccbl) kernel kerneltype(epan) bwidth(0.06)
bs "psmatch2 rfdum blasp popdensity Nstock rdist popdsq popdcu, common outcome(ccbl) kernel kerneltype(epan) bwidth(0.06)" "r(att)", reps(1000)


*************** PINE ********************

use cipfrfall_stock_nohat2hr, clear
keep if cidum==0 & popdensity < . & piasp < . & piarea_ha > .25 & Nstock > 0
gen popstock = popdensity*Nstock
gen popdcu = popden^3

psmatch2 rfdum piasp popdensity popdsq popdcu Nstock rdist rdistsq, common outcome(ccpi) neighbor(1)
pstest piasp popdensity popdsq popdcu Nstock rdist rdistsq, hotel nquant(5) pscore(_pscore)
summ popden if _support==0, detail
bs "psmatch2 rfdum piasp popdensity popdsq popdcu Nstock rdist rdistsq, common outcome(ccpi) neighbor(1)" "r(att)", reps(1000)

psmatch2 rfdum piasp popdensity popdsq popdcu Nstock rdist rdistsq, outcome(ccpi) radius caliper(0.01)
bs "psmatch2 rfdum piasp popdensity popdsq popdcu Nstock rdist rdistsq, outcome(ccpi) radius caliper(0.01)" "r(att)", reps(1000)
 
psmatch2 rfdum piasp popdensity popdsq popdcu Nstock rdist rdistsq, common outcome(ccpi) kernel kerneltype(epan) bwidth(0.06)
bs "psmatch2 rfdum piasp popdensity popdsq popdcu Nstock rdist rdistsq, common outcome(ccpi) kernel kerneltype(epan) bwidth(0.06)" "r(att)", reps(1000)

