version 8.2
capture log close
log using Table5_without_Gori_valley.log, replace
set more off
set mem 1000m
use cipfrfall_stock_nohat2hr, clear
drop if va_num==19 & mudum!=1

keep if cidum==0 & popdensity < . & blasp < . & blarea_ha > .25 & Nstock > 0
gen popstock = popden*Nstock
gen popdcu = popdsq*popden
gen popd4 = popden^4
gen poprdist = popdensity*rdist

psmatch2 rfdum blasp popdensity Nstock rdist rdistsq popdsq popdcu popd4 poprdist popstock, common outcome(ccbl) 
preserve
drop if _support==0
pstest blasp popdensity Nstock rdist, hotel nquant(5) pscore(_pscore)
restore

summ popden if _support==0, detail
set seed 123456789
bs "psmatch2 rfdum blasp popdensity Nstock rdist popdsq popdcu, common outcome(ccbl) neighbor(1)" "r(att)", reps(1000)

psmatch2 rfdum blasp popdensity Nstock rdist popdsq popdcu, outcome(ccbl) radius caliper(0.01)
bs "psmatch2 rfdum blasp popdensity Nstock rdist popdsq popdcu, outcome(ccbl) radius caliper(0.01)" "r(att)", reps(1000)

psmatch2 rfdum blasp popdensity Nstock rdist popdsq popdcu, common outcome(ccbl) kernel kerneltype(epan) bwidth(0.06)
bs "psmatch2 rfdum blasp popdensity Nstock rdist popdsq popdcu, common outcome(ccbl) kernel kerneltype(epan) bwidth(0.06)" "r(att)", reps(1000)


*************** PINE ********************

use cipfrfall_stock_nohat2hr, clear
drop if va_num==19 & mudum!=1

keep if cidum==0 & popdensity < . & piasp < . & piarea_ha > .25 & Nstock > 0
gen popstock = popdensity*Nstock
gen popdcu = popden^3

psmatch2 rfdum piasp popdensity popdsq popdcu Nstock rdist, common outcome(ccpi) neighbor(1)
pstest piasp popdensity Nstock rdist, hotel nquant(5) pscore(_pscore)

summ popden if _support==0, detail
set seed 123456789
bs "psmatch2 rfdum piasp popdensity popdsq popdcu Nstock rdist , common outcome(ccpi) neighbor(1)" "r(att)", reps(1000)

psmatch2 rfdum piasp popdensity popdsq popdcu Nstock rdist , outcome(ccpi) radius caliper(0.01)
bs "psmatch2 rfdum piasp popdensity popdsq popdcu Nstock rdist , outcome(ccpi) radius caliper(0.01)" "r(att)", reps(1000)
 
psmatch2 rfdum piasp popdensity popdsq popdcu Nstock rdist , common outcome(ccpi) kernel kerneltype(epan) bwidth(0.06)
bs "psmatch2 rfdum piasp popdensity popdsq popdcu Nstock rdist , common outcome(ccpi) kernel kerneltype(epan) bwidth(0.06)" "r(att)", reps(1000)

log close
