capture log close
log using Tables2&3.log, text replace
use cb50diff_stock2hr, clear 

/* TABLE 2 */
#delimit ;

summarize blasp if 
(vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.)) & minblarea_pair > .125 ; 

summarize piasp if 
(vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.)) & minpiarea_pair > .125 ; 

summarize popdensity rdist Nstock
if vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.) ; 

reg dblasp if
(vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.)) & minblarea_pair > .125 ; 
reg dpiasp if
(vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.)) & minpiarea_pair > .125 ; 
reg dpopdensity 
if vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.) ;
reg drdist if vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.) ; 
reg dNstock if vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.) ; 

/* TABLE 3 */

reg dccbl dblasp dpopdensity dpopdsq drdist dNstock if 
(vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.)) & minblarea_pair > .125, r cl(id) ; 

reg dccbl dblasp if 
(vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.)) & minblarea_pair > .125, r cl(id) ; 

reg dccpi dpiasp dpopdensity dpopdsq drdist dNstock if
(vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.)) & minpiarea_pair > .125, r cl(id) ; 

reg dccpi dpiasp if 
(vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.)) & minpiarea_pair > .125, r cl(id) ; 


***** ADDITIONAL FINDINGS CONNECTED WITH TABLE 3 THAT ARE DISCUSSED IN THE TEXT OF THE PAPER  ******** ;
reg dccbl dblasp dpopdensity dpopdsq drdist dNrfstock dNpfstock dNcfstock if 
(vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.)) & minblarea_pair > .125, r cl(id) ; 
reg dccpi dpiasp dpopdensity dpopdsq drdist dNrfstock dNpfstock dNcfstock if
(vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.)) & minpiarea_pair > .125, r cl(id) ; 
reg dpcfor dasp if vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.), r cl(id) ;  


****** REPEAT REGRESSIONS OF TABLE 3 EXCLUDING GORI VALLEY EXCEPT MUNSIARI ******************************* ;

drop if va_num==19 & mudum==0 ;

reg dccbl dblasp dpopdensity dpopdsq drdist dNstock if 
(vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.)) & minblarea_pair > .125, r cl(id) ; 

reg dccbl dblasp if 
(vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.)) & minblarea_pair > .125, r cl(id) ; 

reg dpcfor dasp if vpfmyrf < 1983 | yr_vpi < 1983 | (vpfmyrf==. & yr_vpi==.), r cl(id) ;  

log close ;
